Index: extensions/Juza/js/juzascript.js
===================================================================
--- extensions/Juza/js/juzascript.js	(revision 4461)
+++ extensions/Juza/js/juzascript.js	(revision 4474)
@@ -6,28 +6,33 @@
     $(this).addClass('bigImg').attr('src', $(this).attr('src').replace('thumbnail/TN-', ''));
   });
-  $("ul.categoryActions li a[href*='category/'][href*='/flat']").each(function() {
-    /* $('ul.categoryActions').css('display','inline'); */
-    /* $('div.titrePage h2').prepend('<a class="jQuery home" href="index.php" title="Home">Albums</a>'); */
+  $('.thumbnailCategory .description h3 a').each(function() {
+    $cat_url = $(this).attr('href');
+    $cat_tree = $('#menubar #mbCategories dd ul li a[href="'+$cat_url+'"]').next('.menuInfoCatByChild').next().html();
+    if ($cat_tree == null) $cat_tree = '';
+    $(this).parent('h3').next('.text').after('<ul>'+$cat_tree+'</ul>');
   }); 
+	$('.thumbnailCategories li').addClass('Juza-cat');
+	$('.description li').removeClass('Juza-cat');
   $reltag = $('#menubar #mbTags').html();
 	if ($reltag == null) $reltag = '';
 	$reltag = '<div id="relTag">' + $reltag + '</div>';
 	$('#copyright').before('<div id="jquery_local_img">' + $reltag + '</div>');
-  $temp = $('#content .navigationBar').html();
+  $reltag = $('#content .navigationBar').html();
+	if ($reltag == null) $reltag = '';
 	$('#content .navigationBar').css('display','none'); 
-	$('div.titrePage h2').after($temp); 
+	$('div.titrePage h2').after('<div id="Juza-Thumbs"></div>'+$reltag); 
   $('span.wrap2 a img').click(function() {
     $scr = $(this).attr('src').replace('thumbnail/TN-', '');
     $href = $(this).parent('a').attr('href');
     $alt = $(this).attr('alt');
-    $(this).parent('a').attr('href', '#content');
+    $(this).parent('a').attr('href', '#Juza-Thumbs');
     $temp = $href.substr($href.indexOf('/')+1);
     $temp = $temp.substr(0,$temp.indexOf('/'));
     $title = $('#ix-desc .Thumb-'+$temp).attr('title');
-    $('#jquery_local_img').fadeOut("slow").replaceWith('<div id="jquery_local_img"><img usemap="#picturetop" title="'+$title+'" alt="'+$alt+'" src="'+$scr+'"/><map name="picturetop"><area href="#" coords="0,0,1024,300" shape="rect" title="Index"/><area href="'+$href+'" coords="0,301,1024,600" shape="rect" title="'+$title+'"/></map><br/>'+ $title +' - <a href="#content"><em>Index</em></a>' + $reltag + '</div>').fadeIn("slow");
+    $('#jquery_local_img').fadeOut("slow").replaceWith('<div id="jquery_local_img"><img usemap="#picturetop" title="'+$title+'" alt="'+$alt+'" src="'+$scr+'"/><map name="picturetop"><area href="#" coords="0,0,1024,300" shape="rect" title="Index"/><area href="'+$href+'" coords="0,301,1024,600" shape="rect" title="'+$title+'"/></map><br/>'+ $title +' - <a href="#Juza-Thumbs"><em>Index</em></a>' + $reltag + '</div>').fadeIn("slow");
   });
   $('span.wrap2 a img').hover(function() { },function() {
     $(this).parent('a').attr('href', $href);
   });
-
+	if ($reltag == '') $('#jquery_local_img').hide();
 });
Index: extensions/Juza/theme.css
===================================================================
--- extensions/Juza/theme.css	(revision 4461)
+++ extensions/Juza/theme.css	(revision 4474)
@@ -21,17 +21,18 @@
 
 .content div.titrePage ul.categoryActions { display: none; } 
-.content div.thumbnailCategory div.description { height:155px !important; position:relative; width:100%; z-index:10; top:-155px; }
+.content div.thumbnailCategory div.description { height:155px !important; position:relative; width:100%; z-index:10; top:-252px; overflow: visible; }
 .bigImg { left:265px; position:relative; top:-160px; width:885px !important; }
-.content div.thumbnailCategory div.description { height:155px; }
 .content ul.thumbnails span, .content ul.thumbnails label, .content div.thumbnailCategory div.illustration { width:135px; }
 .content { margin:0 3em !important; font-family:Verdana,Arial,Helvetica,sans-serif; font-size:10pt; }
 div.illustration { overflow: hidden; }
 div.illustration img { border: 0; margin-left: 0px; }
-.maxIllustration a { max-height: 110px; height: 110px; overflow: hidden; display: block; position:relative; z-index:12; }
-.maxIllustration { height:145px !important; left:20px; margin-bottom:35px; max-height:145px !important; overflow: hidden; max-width:100% !important; position:relative; top:35px; width:100% !important; }
-.content .thumbnailCategory { border-color:#383838; margin-bottom:15px; height:155px;
-max-height:210px; }
+.maxIllustration a { max-height: 240px; height: 240px; overflow: hidden; display: block; position:relative; z-index:12; }
+.maxIllustration { left:20px; margin-bottom:35px; max-width:100% !important; position:relative; top:30px; width:100% !important; }
+.content .thumbnailCategory { border: 0 solid #383838 !important; border-top-width: 0.5px !important; margin-bottom:15px; height:155px; min-height:280px; }
+.content div.thumbnailCategory div.description h3 { position:relative; top:10px; }
+.content div.thumbnailCategory div.description ul { margin: 10px 5px 5px 30px; }
 
 .content ul.thumbnailCategories li { width:100%; }
+.content ul.thumbnailCategories li.Juza-cat { max-height:295px; height:295px; }
 a.home { position: absolute; left: 20px; top: 20px; font-size:9px; }
 .content ul.thumbnails span.wrap1 { background-color: #000 !important; width: 140px; height: 140px; min-width: 140px; min-height: 140px; max-width: 140px; max-height: 140px; margin:0 2px 2px 0; border: 1px solid #444; }
@@ -41,5 +42,5 @@
 .content ul.thumbnails span.wrap2 { -moz-border-radius: 0; border-radius: 0; }
 .content ul.thumbnails span.wrap2 img.thumbnail { margin:auto; border: 1px solid #111; }
-#jquery_local_img { text-align: center; margin-top: 5px; min-height: 1200px; height: 1200px; }
+#jquery_local_img { text-align: center; margin-top: 5px; min-height: 850px; height: 850px; }
 input[type="text"], input[type="password"], input[type="button"], input[type="submit"], input[type="reset"], input[type="file"] {
   background-color:#D3D3D3 !important; }
@@ -49,8 +50,8 @@
 #imageHeaderBar .browsePath { color: #6DAA37; }
 #imageToolBar { top:-90px; }
-#menubar, table.infoTable, #imageHeaderBar  h2,
+#menubar, table.infoTable, #imageHeaderBar  h2, .menuInfoCat,
 #imageToolBar  .randomButtons img { display: none; }
 #imageToolBar  .randomButtons img[alt="slideshow"] { display: inline; }
-
+div.description div.text p.Nb_images { border-width: 0; }
 #copyright { margin-top: 200px; }
 #copyright * { color: #383838; }
Index: extensions/Juza/themeconf.inc.php
===================================================================
--- extensions/Juza/themeconf.inc.php	(revision 4461)
+++ extensions/Juza/themeconf.inc.php	(revision 4474)
@@ -16,4 +16,6 @@
     return $arg;'),
 );
+global $user;
+$user["expand"] = true; /* Forced to assign subcategory links inside each category on index page */
 add_event_handler('loc_after_page_header', $themeconf['juza-handler']);
 ?>