Index: /extensions/event_cats/admin/evntcats_admin.php
===================================================================
--- /extensions/event_cats/admin/evntcats_admin.php	(revision 4485)
+++ /extensions/event_cats/admin/evntcats_admin.php	(revision 4486)
@@ -204,5 +204,5 @@
   $c = $ec_lists['types_granted'];
   if (isset($_POST['deny_types']))
-   foreach ($_POST['deny_types'] as $v) $c = $c & ~$v;
+   foreach ($_POST['deny_types'] as $v) $c = $c & ~intval($v);
   if (isset($_POST['deny_generic'])) $c = $c & 7;
   $q = ($dup_types_exist) ? "
@@ -228,5 +228,5 @@
   $c = $ec_lists['types_granted'];
   if (isset($_POST['grant_types']))
-   foreach ($_POST['grant_types'] as $v) $c = $c | $v;
+   foreach ($_POST['grant_types'] as $v) $c = $c | intval($v);
   if (isset($_POST['grant_generic'])) $c = $c | 8;
   $q = ($dup_types_exist) ? "
@@ -331,5 +331,5 @@
 // +-----------------------------------------------------------------------+
 
-check_DB(); $ec_debug['ec_exist_entries'] = $ec_exist_entries;
+check_DB();
   
 if (
Index: /extensions/event_cats/admin/template/autolog_new.tpl
===================================================================
--- /extensions/event_cats/admin/template/autolog_new.tpl	(revision 4485)
+++ /extensions/event_cats/admin/template/autolog_new.tpl	(revision 4486)
@@ -104,5 +104,5 @@
             &nbsp;&#151;&nbsp;
             <label for = "ec_in_up_comment_id" style = "margin:0;" title = "{'Optional'|@translate}">
-              <span style = "font-weight:bold;  font-style:italic;">{'Comment'|@translate}</span>
+              <span style = "font-weight:bold; font-style:italic;">{'Comment'|@translate}</span>
               <input type = "text" name = "ec_in_up_comment" maxlength = "100" size = "50" id = "ec_in_up_comment_id"
                 onchange = "ec_new_comment_text = this.value;"
Index: /extensions/event_cats/include/evntcats_main_funcs.inc.php
===================================================================
--- /extensions/event_cats/include/evntcats_main_funcs.inc.php	(revision 4485)
+++ /extensions/event_cats/include/evntcats_main_funcs.inc.php	(revision 4486)
@@ -447,5 +447,6 @@
           SELECT `user_id`
           FROM `".USER_INFOS_TABLE."`
-          WHERE `status` = 'generic';",
+          WHERE `status` = 'generic'
+            AND `user_id` > 2;",
           'user_id'
         ),
@@ -474,5 +475,6 @@
         SELECT `user_id`, `level`
         FROM `".USER_INFOS_TABLE."`
-        WHERE `level` IN (".implode(',', $types_granted_ids).");
+        WHERE `level` IN (".implode(',', $types_granted_ids).")
+          AND `user_id` > 2;
       ");
       while ($row = mysql_fetch_array($result)) {
@@ -512,5 +514,6 @@
       SELECT `user_id`, `group_id`
       FROM `".USER_GROUP_TABLE."`
-      WHERE `group_id` IN (".implode(',', $ec_lists['groups_granted_ids']).");
+      WHERE `group_id` IN (".implode(',', $ec_lists['groups_granted_ids']).")
+        AND `user_id` > 2;
     ");
     while ($row = mysql_fetch_array($result)) {
Index: /extensions/event_cats/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/event_cats/language/en_UK/plugin.lang.php	(revision 4485)
+++ /extensions/event_cats/language/en_UK/plugin.lang.php	(revision 4486)
@@ -202,4 +202,13 @@
 
 // Help banner
+// Entries tab
+$lang['ec_help_banner1_entries']   = '<ul><li style = "list-style-image:url(plugins/event_cats/icon/disable.png);"><span style = "font-weight:bold;">Make entry outdated</span>: to make a code unusable any more, but with a customized message;</li><li style = "list-style-image:url(plugins/event_cats/icon/nforced.png);"><span style = "font-weight:bold;">Force</span>: to make impossible to reach other pages by modifying the URL;<li style = "list-style-image:url(plugins/event_cats/icon/forced.png);"><span style = "font-weight:bold;">Don\'t force</span>: to be able to use the same code to reach different pages;</li><li style = "list-style-image:url(plugins/event_cats/icon/duplicate.png);"><span style = "font-weight:bold;">Copy</span>: to create a new entry using the same code but heading to a different page;</li><li style = "list-style-image:url(plugins/event_cats/icon/url2.png);"><span style = "font-weight:bold;">Test</span>: to check whether it works or not ;-)&nbsp;;</li><li style = "list-style-image:url(plugins/event_cats/icon/delete.png);"><span style = "font-weight:bold;">Delete</span>: Delete entry;</li><li style = "list-style-image:url(plugins/event_cats/icon/modify.png);"><span style = "font-weight:bold;">Modify</span>: Modify entry.</ul>';
+
+// New entry tab, general case
+$lang['ec_help_banner1_new_c']   = 'Link here a <span style = "font-weight:bold; font-style:italic;">code</span> to an <span style = "font-weight:bold; font-style:italic;">identified user</span> and to a <span style = "font-weight:bold; font-style:italic;">displayed page</span>; it will create a corresponding URL in tab "Autolog entries", and you will then be able to copy and transmit it to concerned people. (It is too complicated, too heavy to provide here a list of all images, thus you must mark an image identifier ("<span style = "font-weight:bold;">Image id</span>"), if you want to use this field.) <span style = "font-weight:bold;">Generate a username</span> and <span style = "font-weight:bold;">Full auto</span>: select a <span style = "font-weight:bold; font-style:italic;">displayed page</span> first, as the username creation is based on the name of this page. <span style = "font-weight:bold;">Comment</span>: memo, personal note, visible only in administration part. <span style = "font-weight:bold;">Existing code</span>: to use the same code to identify the same account, making it head to another displayed page. Displayed page <span style = "font-weight:bold;">Forced</span>: to impose the displayed page whatever are the parameters <span style = "font-weight:bold; font-style:italic;">&cat=</span>, <span style = "font-weight:bold; font-style:italic;">&img=</span>, <span style = "font-weight:bold; font-style:italic;">&ap=</span> in the URL.';
+
+// New entry tab, "copy an entry" (duplicate entry) case
+$lang['ec_help_banner2_new_c']     = 'If you wish to provide access to another event (thus a different category) to the same group of people for which you had alreday created an entry, you can provide them the same <span style = "font-weight:bold; font-style:italic;">code</span> (of course associated to the same <span style = "font-weight:bold; font-style:italic;">identified user</span>), and head the account to a different <span style = "font-weight:bold; font-style:italic;">displayed page</span>. <span style = "font-weight:bold;">Reset</span> to come back to a "normal" entry creation.';
+
 
 unset($t_ap1, $t_ap2);
Index: /extensions/event_cats/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/event_cats/language/fr_FR/plugin.lang.php	(revision 4485)
+++ /extensions/event_cats/language/fr_FR/plugin.lang.php	(revision 4486)
@@ -206,5 +206,5 @@
 
 // New entry tab, general case
-$lang['ec_help_banner1_new_c']   = 'Associez un <span style = "font-weight:bold; font-style:italic;">code</span> à un <span style = "font-weight:bold; font-style:italic;">utilisateur à identifier</span> et à une <span style = "font-weight:bold; font-style:italic;">page à afficher</span>&nbsp;; récupérez l\'URL ainsi construit dans l\'onglet "Entrées autolog" pour le transmettre aux intéressés. (Il est trop lourd, trop compliqué de proposer une liste de toutes les images, aussi devez-vous récupérer le n° d\'identification de l\'image ("Id. image"), si vous voulez utiliser ce champ.) <span style = "font-weight:bold;">Générer un nom d\'utilisateur</span> et <span style = "font-weight:bold;">Tout automatique</span>&nbsp;: sélectionnez d\'abord une <span style = "font-weight:bold; font-style:italic;">page à afficher</span> car le nom d\'utilisateur est construit sur la base de cette page. <span style = "font-weight:bold;">Commentaire</span>&nbsp;: mémo, note personnelle visible uniquement dans l\'administration. <span style = "font-weight:bold;">Code existant</span>&nbsp;: pour identifier le même compte, mais le rediriger vers une autre page. <span style = "font-weight:bold;">Page affichée forcée</span>&nbsp;: pour imposer l\'affichage d\'une page quels que soient les paramètres <span style = "font-weight:bold; font-style:italic;">&cat=</span>, <span style = "font-weight:bold; font-style:italic;">&img=</span>, <span style = "font-weight:bold; font-style:italic;">&ap=</span> présents dans l\'URL.';
+$lang['ec_help_banner1_new_c']   = 'Associez un <span style = "font-weight:bold; font-style:italic;">code</span> à un <span style = "font-weight:bold; font-style:italic;">utilisateur à identifier</span> et à une <span style = "font-weight:bold; font-style:italic;">page à afficher</span>&nbsp;; récupérez l\'URL ainsi construit dans l\'onglet "Entrées autolog" pour le transmettre aux intéressés. (Il est trop lourd, trop compliqué de proposer une liste de toutes les images, aussi devez-vous récupérer le n° d\'identification de l\'image ("<span style = "font-weight:bold;">Id. image</span>"), si vous voulez utiliser ce champ.) <span style = "font-weight:bold;">Générer un nom d\'utilisateur</span> et <span style = "font-weight:bold;">Tout automatique</span>&nbsp;: sélectionnez d\'abord une <span style = "font-weight:bold; font-style:italic;">page à afficher</span> car le nom d\'utilisateur est construit sur la base du nom de cette page. <span style = "font-weight:bold;">Commentaire</span>&nbsp;: mémo, note personnelle visible uniquement dans l\'administration. <span style = "font-weight:bold;">Code existant</span>&nbsp;: pour identifier le même compte, mais le rediriger vers une autre page. <span style = "font-weight:bold;">Page affichée forcée</span>&nbsp;: pour imposer l\'affichage d\'une page quels que soient les paramètres <span style = "font-weight:bold; font-style:italic;">&cat=</span>, <span style = "font-weight:bold; font-style:italic;">&img=</span>, <span style = "font-weight:bold; font-style:italic;">&ap=</span> présents dans l\'URL.';
 
 // New entry tab, "copy an entry" (duplicate entry) case