Index: extensions/Juza/script.tpl
===================================================================
--- extensions/Juza/script.tpl	(revision 4494)
+++ extensions/Juza/script.tpl	(revision 4498)
@@ -5,14 +5,25 @@
 {known_script id="juza" src=$JUZA|@cat:"/js/juzascript.js"}
 {/if}
+{html_head}
+<style type="text/css">
+.maxIllustration a {ldelim} max-height: {$Juza_height}px; height: {$Juza_height}px; width:{$Juza_width}px; }
+.bigImg {ldelim} top:{$Juza_shift}px; width:{$Juza_width}px !important; }
+#imageToolBar {ldelim} top:{$Juza_shift2}px; }
+.content ul.thumbnailCategories li.Juza-cat {ldelim} height:{$Juza_height2}px; min-height:{$Juza_height2}px; }
+.content div.thumbnailCategory div.description {ldelim} height:{$Juza_height3}px !important; top:{$Juza_shift3}px; }
+#copyright {ldelim} margin-top: {$Juza_width}px; }
+table.juzabar td {ldelim} width: 155px; }
+</style>
+{/html_head}
 <table cellspacing="0" class="juzabar">
 <tbody><tr>
-<td style="width: 155px;">HOME PAGE</td>
-<td style="width: 155px;">PORTFOLIO</td>
-<td style="width: 155px;"><a href="{$ROOT_URL}index.php"><strong>GALLERIES</strong></a></td>
-<td style="width: 155px;"><a title="See available tags" href="{$ROOT_URL}tags.php"><strong>TAGS</strong></a></td>
-<td style="width: 155px;">ABOUT JUZA</td>
-<td style="width: 155px;">E-MAIL</td>
-<td style="width: 155px;">LINKS</td>
-<td style="width: 155px;">JUZA FORUM</td>
+<td>HOME PAGE</td>
+<td>PORTFOLIO</td>
+<td><a href="{$ROOT_URL}index.php"><strong>GALLERIES</strong></a></td>
+<td><a title="See available tags" href="{$ROOT_URL}tags.php"><strong>TAGS</strong></a></td>
+<td>ABOUT JUZA</td>
+<td>E-MAIL</td>
+<td>LINKS</td>
+<td>JUZA FORUM</td>
 </tr>
 </tbody></table>
@@ -33,5 +44,5 @@
         <span class="property">{'Activate Juza handlers'|@translate}</span>
         <input type="checkbox" name="Juza_handlers" {$Juza_handlers} />
-        <span class="range">{'Browser refresh is needed on new value'|@translate}</span>
+        <span class="range">{'Not currently working'|@translate}</span>
      </label>
     </li>
@@ -61,4 +72,5 @@
         <span class="property">{'Auto cropping and shifting'|@translate}</span>
         <input type="checkbox" name="Juza_Auto_CS" {$Juza_Auto_CS} />
+        <span class="range">{'Not currently working (Always active)'|@translate}</span>
       </label>
     </li>
Index: extensions/Juza/theme.css
===================================================================
--- extensions/Juza/theme.css	(revision 4494)
+++ extensions/Juza/theme.css	(revision 4498)
@@ -5,58 +5,53 @@
 html body {background-color: #0; margin:0;padding:0;}
 html body #the_page { background-color: #292929 !important; width:1240px;margin:10px auto; height: 100%; border: 1px solid #fff !important; }
+body, h1, h2, h3, dt, #menubar dt, .throw, INPUT.rateButtonSelected {color:#ddffdd;}
+#content .pageNumberSelected {color: #52ff97; color: #72ffb7;}
+.content div.titrePage ul.categoryActions { display: none; } 
+.content div.thumbnailCategory div.description { position:relative; width:100%; z-index:10; overflow: hidden; }
+.content ul.thumbnails span, .content ul.thumbnails label, .content div.thumbnailCategory div.illustration { width:135px; }
+.content { margin:0 3em !important; font-family:Verdana,Arial,Helvetica,sans-serif; font-size:10pt; }
+.content .thumbnailCategory { border: 0 solid #383838 !important; border-top-width: 0.5px !important; margin-bottom:15px; /* height:155px; min-height:280px;*/ }
+.content div.thumbnailCategory div.description h3 { position:relative; top:10px; z-index:11; }
+.content div.thumbnailCategory div.description ul { margin: 10px 5px 5px 30px; }
+.content ul.thumbnailCategories li { width:100%; }
+.content ul.thumbnailCategories li.Juza-cat { margin:0 0 20px; }
+.content ul.thumbnails span.wrap1 { background-color: #000 !important; width: 140px; height: 140px; min-width: 140px; min-height: 140px; max-width: 140px; max-height: 140px; margin:0 2px 2px 0; border: 1px solid #444; }
+.content ul.thumbnails span.wrap1 .thumbLegend { display: none !important; }
+.content ul.thumbnails span.wrap2 { -moz-border-radius: 0; border-radius: 0; }
+.content ul.thumbnails span.wrap2 img.thumbnail { margin:auto; border: 1px solid #111; }
+#copyright * { color: #383838; }
+form.filter fieldset label textarea { display:block; margin:0.5em auto; color: #ddffdd; }
+fieldset { margin:1em !important; padding:1em !important; }
+
+div.illustration { overflow: hidden; }
+div.illustration img { border: 0; margin-left: 0px; }
+.bigImg { position:relative; }
+img.icon[alt="(!)"] { display: none; }
+input.conf, a { color: #FB9700 !important }
+input.conf:hover, a:hover { color: #ef5810 !important }
+input[type="submit"].conf { border:0;margin-top: 7; margin-bottom: 0;background-color: transparent !important; font-weight:normal; }
+input[type="text"], input[type="password"], input[type="button"], input[type="submit"], input[type="reset"], input[type="file"] {
+  background-color:#D3D3D3 !important; }
+#jquery_local_img { text-align: center; margin-top: 5px; min-height: 600px; height: 600px; /* linked to Area Mapping */ }
+#Juza_config input[type="text"], #Juza_config input[type="checkbox"] { float:left; margin:6px auto auto 4px; }
+#Juza_config input[type="submit"] { margin:10px auto 15px;  }
+#Juza_config .range { text-align: left; float: left; margin-left: 10px; font-style:italic; }
+.juzabar { margin: 12pt 0 6pt; font-size: 10pt; width: 100%; background-color: #353735 !important; text-align: center; }
+legend .legend { padding: 0 10px; }
+.maxIllustration { left:20px; margin-bottom:35px; max-width:100% !important; position:relative; top:30px; width:100% !important; }
+.maxIllustration a { overflow: hidden; display: block; position:relative; z-index:12; float:right; }
+.middle_block h2, h2 { color: #6daa37; font-size:16px; text-align: center; } 
+.middle_block * { font-family:Verdana,Arial,Helvetica,sans-serif; font-size:11pt; text-align:left; }
+
+#imageHeaderBar .browsePath { color: #6DAA37; }
+#imageHeaderBar  h2, .menuInfoCat,
+#imageToolBar  .randomButtons img, #menubar, table.infoTable, 
+h3 img.icon { display: none !important; }
+#imageToolBar  .randomButtons img[alt="slideshow"] { display: inline; }
+div.description div.text p.Nb_images { border-width: 0; }
+#relTag { width: 80%; margin: 20px auto; }
+#relTag * { margin: 3px; text-align: center; }
+#thePicturePage .thumbnailCategories * { margin: 5px auto 3px 20px; }
 #theHeader { height: 90px;}
 #theHeader h1 { font-family:Verdana,Arial,Helvetica,sans-serif; font-size:60px; font-style:normal; font-weight:normal; line-height:0.89em; color: #fff;}
 #theHeader p { font-family:Verdana,Arial,Helvetica,sans-serif; font-size:20px; letter-spacing:5px; line-height:2.1em; colour: #fff; }
-
-body, h1, h2, h3, dt, #menubar dt, .throw, INPUT.rateButtonSelected {color:#ddffdd;}
-#content .pageNumberSelected {color: #52ff97; color: #72ffb7;}
-.juzabar { margin: 12pt 0 6pt; font-size: 10pt; width: 100%; background-color: #353735 !important; text-align: center; }
-
-input.conf, a { color: #FB9700 !important }
-input.conf:hover, a:hover { color: #ef5810 !important }
-h3 img.icon { display: none !important; }
-img.icon[alt="(!)"] { display: none; }
-.middle_block h2, h2 { color: #6daa37; font-size:16px; text-align: center; } 
-.middle_block * { font-family:Verdana,Arial,Helvetica,sans-serif; font-size:11pt; text-align:left; }
-
-.content div.titrePage ul.categoryActions { display: none; } 
-.content div.thumbnailCategory div.description { height:565px !important; position:relative; width:100%; z-index:10; top:-252px; overflow: hidden; }
-.bigImg { position:relative; top:-160px; width:885px !important; }
-.content ul.thumbnails span, .content ul.thumbnails label, .content div.thumbnailCategory div.illustration { width:135px; }
-.content { margin:0 3em !important; font-family:Verdana,Arial,Helvetica,sans-serif; font-size:10pt; }
-div.illustration { overflow: hidden; }
-div.illustration img { border: 0; margin-left: 0px; }
-.maxIllustration a { max-height: 240px; height: 240px; overflow: hidden; display: block; position:relative; z-index:12; float:right; width:885px; }
-.maxIllustration { left:20px; margin-bottom:35px; max-width:100% !important; position:relative; top:30px; width:100% !important; }
-.content .thumbnailCategory { border: 0 solid #383838 !important; border-top-width: 0.5px !important; margin-bottom:15px; /* height:155px; min-height:280px;*/ }
-.content div.thumbnailCategory div.description h3 { position:relative; top:10px; z-index:11; }
-.content div.thumbnailCategory div.description ul { margin: 10px 5px 5px 30px; }
-
-.content ul.thumbnailCategories li { width:100%; }
-.content ul.thumbnailCategories li.Juza-cat { margin:0 0 20px; height:295px; min-height:295px; }
-input[type="submit"].conf { border:0;margin-top: 7; margin-bottom: 0;background-color: transparent !important; font-weight:normal; }
-a.home { position: absolute; left: 20px; top: 20px; font-size:9px; }
-.content ul.thumbnails span.wrap1 { background-color: #000 !important; width: 140px; height: 140px; min-width: 140px; min-height: 140px; max-width: 140px; max-height: 140px; margin:0 2px 2px 0; border: 1px solid #444; }
-.content ul.thumbnails span.wrap1 .thumbLegend { display: none !important; }
-#relTag { width: 80%; margin: 20px auto; }
-#relTag * { margin: 3px; text-align: center; }
-.content ul.thumbnails span.wrap2 { -moz-border-radius: 0; border-radius: 0; }
-.content ul.thumbnails span.wrap2 img.thumbnail { margin:auto; border: 1px solid #111; }
-#jquery_local_img { text-align: center; margin-top: 5px; min-height: 600px; height: 600px; /* linked to Area Mapping */ }
-input[type="text"], input[type="password"], input[type="button"], input[type="submit"], input[type="reset"], input[type="file"] {
-  background-color:#D3D3D3 !important; }
-#thePicturePage .thumbnailCategories * { margin: 5px auto 3px 20px; }
-form.filter fieldset label textarea { display:block; margin:0.5em auto; color: #ddffdd; }
-fieldset { margin:1em !important; padding:1em !important; }
-#imageHeaderBar .browsePath { color: #6DAA37; }
-#imageToolBar { top:-90px; }
-#menubar, table.infoTable, #imageHeaderBar  h2, .menuInfoCat,
-#imageToolBar  .randomButtons img { display: none; }
-#imageToolBar  .randomButtons img[alt="slideshow"] { display: inline; }
-div.description div.text p.Nb_images { border-width: 0; }
-#Juza_config input[type="text"], #Juza_config input[type="checkbox"] { float:left; margin:6px auto auto 4px; }
-#Juza_config input[type="submit"] { margin:10px auto 15px;  }
-#Juza_config .range { text-align: left; float: left; margin-left: 10px; font-style:italic; }
-legend .legend { padding: 0 10px; }
-#copyright { margin-top: 885px; }
-#copyright * { color: #383838; }